Skip to main content
GET
/
v1
/
courses
List courses
curl --request GET \
  --url https://api.example.com/v1/courses
import requests

url = "https://api.example.com/v1/courses"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/courses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Query parameters

limit
integer
default:"20"
Max 100.
starting_after
string
Cursor.
status
enum
draft | pending | ready | error.
workspace_id
string
Restrict to a single workspace (default: current).
expand
string[]

Examples

const page = await hk.courses.list({ limit: 50, status: "ready" });

for await (const c of hk.courses.list()) {
  console.log(c.id, c.name);
}
$page = $hk->courses->list(['limit' => 50, 'status' => 'ready']);

foreach ($hk->courses->list()->autoPagingIterator() as $c) {
    echo $c->id . ' ' . $c->name . "\n";
}

Returns

{
  "object": "list",
  "data": [ /* Course[] */ ],
  "has_more": true,
  "next_cursor": "crs_01HX8..."
}